<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.android.chmo">

    <uses-sdk tools:overrideLibrary="com.huawei.android.hms.base,com.huawei.android.hms.push" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.DISABLE_KEYGUARD" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <!-- 用于进行网络定位 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <!-- 用于访问GPS定位 -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CHANGE_CONFIGURATION" />

    <!-- 多媒体相关 -->
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />

    <!-- 控制呼吸灯，振动器等，用于新消息提醒 -->
    <uses-permission android:name="android.permission.FLASHLIGHT" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.BROADCAST_STICKY" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />
    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />

    <!-- 和下面的 uses-permission 一起加入到你的 AndroidManifest 文件中。 -->
    <permission
        android:name="com.android.chmo.permission.RECEIVE_MSG"
        android:protectionLevel="signature" />
    <!-- 接收 SDK 消息广播权限， 第三方 APP 接入时，请将 com.netease.nim.demo 替换为自己的包名 -->
    <uses-permission android:name="com.android.chmo.permission.RECEIVE_MSG" />

    <!-- 小米推送 -->
    <permission
        android:name="com.android.chmo.permission.MIPUSH_RECEIVE"
        android:protectionLevel="signature" />

    <uses-permission android:name="com.android.chmo.permission.MIPUSH_RECEIVE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <!-- 魅族推送 -->


    <!-- 兼容flyme5.0以下版本，魅族内部集成pushSDK必填，不然无法收到消息 -->
    <uses-permission android:name="com.meizu.flyme.push.permission.RECEIVE" />

    <permission
        android:name="com.android.chmo.push.permission.MESSAGE"
        android:protectionLevel="signature" />

    <uses-permission android:name="com.android.chmo.push.permission.MESSAGE" />
    <!-- 兼容flyme3.0配置权限 -->
    <uses-permission android:name="com.meizu.c2dm.permission.RECEIVE" />

    <permission
        android:name="com.android.chmo.permission.C2D_MESSAGE"
        android:protectionLevel="signature" />

    <uses-permission android:name="com.android.chmo.permission.C2D_MESSAGE" />

    <application
        android:name=".app.ChmoApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity
            android:name=".ui.activity.WelcomeActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeSplash">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.activity.GuideActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen" />
        <activity
            android:name=".ui.activity.LoginActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.RegisterActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.me.ForgetPwdActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.MainActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.model.ModelDetailActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.model.ModelReserveActivty"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.order.SubmitOrderActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.order.PayOrderActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.order.MyOrderActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.order.OrderDetailActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.order.VideoOrderActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.model.ModelZoneActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.model.ModelZoneDetailActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.model.BrokerModelActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.model.BrokerInfoActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.model.SearchModelActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.model.SearchResultActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.activities.ActivitiesDetailActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.activities.SignInActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.me.RechargeActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.find.FindDetailActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.model.ShowImageActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.me.ModifyNameActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.me.MySignActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.message.LocationMapActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.activities.BannerInfoActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.me.ProtocolActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.me.AboutActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.model.ModelReportActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.activity.me.SettingsActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeScreen"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <!-- <receiver android:name=".receiver.VChatReceiver"> -->
        <!-- <intent-filter> -->
        <!-- <action android:name="android.chmo.action.CALL"/> -->
        <!-- <action android:name="android.chmo.action.INCOMING"/> -->
        <!-- <action android:name="android.chmo.action.BEGIN_VIDEO"/> -->
        <!-- <action android:name="android.chmo.action.END_VIDEO"/> -->
        <!-- </intent-filter> -->
        <!-- </receiver> -->


        <!-- 支付宝 -->
        <activity
            android:name="com.alipay.sdk.app.H5PayActivity"
            android:configChanges="orientation|keyboardHidden|navigation|screenSize"
            android:exported="false"
            android:screenOrientation="behind"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name="com.alipay.sdk.app.H5AuthActivity"
            android:configChanges="orientation|keyboardHidden|navigation"
            android:exported="false"
            android:screenOrientation="behind"
            android:windowSoftInputMode="adjustResize|stateHidden" />

        <!-- 微信 -->
        <activity
            android:name=".wxapi.WXEntryActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <activity
            android:name=".wxapi.WXPayEntryActivity"
            android:exported="true"
            android:label="@string/app_name" />

        <meta-data
            android:name="com.amap.api.v2.apikey"
            android:value="41da1ae28c42ca83d6de30edec201135" />

        <uses-library
            android:name="com.google.android.maps"
            android:required="false" />

        <!--
           APP key, 可以在这里设置，也可以在 SDKOptions 中提供。
           如果 SDKOptions 中提供了，取 SDKOptions 中的值。
        -->
        <meta-data
            android:name="com.netease.nim.appKey"
            android:value="c545b95fd20d5a20d0d1220dc6831e4d" />

        <!-- 云信后台服务，请使用独立进程。 -->
        <service
            android:name="com.netease.nimlib.service.NimService"
            android:process=":core" />

        <!-- 云信后台辅助服务 -->
        <service
            android:name="com.netease.nimlib.service.NimService$Aux"
            android:process=":core" />

        <!-- 云信后台辅助服务 -->
        <service
            android:name="com.netease.nimlib.job.NIMJobService"
            android:exported="true"
            android:permission="android.permission.BIND_JOB_SERVICE"
            android:process=":core" />

        <!-- 云信监视系统启动和网络变化的广播接收器，保持和 NimService 同一进程 -->
        <receiver
            android:name="com.netease.nimlib.service.NimReceiver"
            android:exported="false"
            android:process=":core">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
            </intent-filter>
        </receiver>

        <!-- 云信进程间通信 Receiver -->
        <receiver android:name="com.netease.nimlib.service.ResponseReceiver" />

        <!-- 云信进程间通信service -->
        <service android:name="com.netease.nimlib.service.ResponseService" />

        <!-- 云信进程间通信provider -->
        <!-- android:authorities="{包名}.ipc.provider", 请将com.netease.nim.demo替换为自己的包名 -->
        <provider
            android:name="com.netease.nimlib.ipc.NIMContentProvider"
            android:authorities="com.android.chmo.ipc.provider"
            android:exported="false"
            android:process=":core" />

        <!-- 小米推送配置 -->
        <service
            android:name="com.xiaomi.push.service.XMJobService"
            android:enabled="true"
            android:exported="false"
            android:permission="android.permission.BIND_JOB_SERVICE"
            android:process=":mixpush" />
        <service
            android:name="com.xiaomi.push.service.XMPushService"
            android:enabled="true"
            android:process=":mixpush" />

        <receiver
            android:name="com.xiaomi.push.service.receivers.PingReceiver"
            android:exported="false"
            android:process=":mixpush">
            <intent-filter>
                <action android:name="com.xiaomi.push.PING_TIMER" />
            </intent-filter>
        </receiver>
        <receiver
            android:name="com.xiaomi.push.service.receivers.NetworkStatusReceiver"
            android:exported="true">
            <intent-filter>
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </receiver>

        <service
            android:name="com.xiaomi.mipush.sdk.PushMessageHandler"
            android:enabled="true"
            android:exported="true" />
        <service
            android:name="com.xiaomi.mipush.sdk.MessageHandleService"
            android:enabled="true" />

        <receiver
            android:name="com.netease.nimlib.mixpush.mi.MiPushReceiver"
            android:exported="true">
            <intent-filter android:priority="0x7fffffff">
                <action android:name="com.xiaomi.mipush.RECEIVE_MESSAGE" />
                <action android:name="com.xiaomi.mipush.MESSAGE_ARRIVED" />
                <action android:name="com.xiaomi.mipush.ERROR" />
            </intent-filter>
        </receiver>

        <!-- 华为推送配置 -->

        <meta-data
            android:name="com.huawei.hms.client.appid"
            android:value="100388425" />

        <provider
            android:name="com.huawei.hms.update.provider.UpdateProvider"
            android:authorities="com.android.chmo.hms.update.provider"
            android:exported="false"
            android:grantUriPermissions="true" />

        <!-- 第三方相关 :接收Push消息（注册、Push消息、Push连接状态）广播 -->
        <receiver android:name="com.netease.nimlib.mixpush.hw.HWPushReceiver">
            <intent-filter android:priority="0x7fffffff">

                <!-- 必须,用于接收token -->
                <action android:name="com.huawei.android.push.intent.REGISTRATION" />
                <!-- 必须，用于接收消息 -->
                <action android:name="com.huawei.android.push.intent.RECEIVE" />
                <!-- 可选，用于点击通知栏或通知栏上的按钮后触发onEvent回调 -->
                <action android:name="com.huawei.android.push.intent.CLICK" />
                <!-- 可选，查看push通道是否连接，不查看则不需要 -->
                <action android:name="com.huawei.intent.action.PUSH_STATE" />
            </intent-filter>

            <meta-data
                android:name="CS_cloud_ablitity"
                android:value="successRateAnalytics" />
        </receiver>
        <receiver android:name="com.huawei.hms.support.api.push.PushEventReceiver">
            <intent-filter>

                <!-- 接收通道发来的通知栏消息，兼容老版本Push -->
                <action android:name="com.huawei.intent.action.PUSH" />
            </intent-filter>
        </receiver>

        <!-- meizu -->
        <receiver android:name="com.netease.nimlib.mixpush.mz.MZPushReceiver">
            <intent-filter android:priority="0x7fffffff">

                <!-- 接收push消息 -->
                <action android:name="com.meizu.flyme.push.intent.MESSAGE" />
                <!-- 接收register消息 -->
                <action android:name="com.meizu.flyme.push.intent.REGISTER.FEEDBACK" />
                <!-- 接收unregister消息 -->
                <action android:name="com.meizu.flyme.push.intent.UNREGISTER.FEEDBACK" />
                <!-- 兼容低版本Flyme3推送服务配置 -->
                <action android:name="com.meizu.c2dm.intent.REGISTRATION" />
                <action android:name="com.meizu.c2dm.intent.RECEIVE" />

                <category android:name="com.android.chmo" />
            </intent-filter>
        </receiver>

        <activity android:name=".ui.activity.promote.PromoteActivity" />
        <activity android:name=".ui.activity.promote.ShareActivity" />
        <activity android:name=".ui.activity.promote.PromoteDetailActivity" />
        <activity android:name=".ui.activity.MyWalletActivity" />
        <activity android:name=".ui.activity.WithdrawActivity" />
        <activity android:name=".ui.activity.WithdrawSuccessActivity"></activity>
    </application>

</manifest>